読者です 読者をやめる 読者になる 読者になる

日常

ケ・セラ・セラ

HerokuでRubyのバージョンを指定する

heroku ruby

heroku に deploy したアプリがこけていて、なんだ?と思ったらぼっちオペレーターを使ったからだった。そういえば ruby のバージョン指定を忘れて 2.2.4 が使われていた。

やり方は、Gemfile に書けばよい。

source "https://rubygems.org"
ruby "2.3.1" # for heroku

現在の ruby のバージョンは以下のように見られる。

heroku run 'ruby -e "puts RUBY_VERSION"'